> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.astropods.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.astropods.com/_mcp/server.

# Get CPU, memory and storage time series for a pod

GET https://astropods.com/api/v1/deployments/{id}/pods/{pod}/metrics

Reference: https://docs.astropods.com/api-reference/astropods-api/deployments/get-cpu-memory-and-storage-time-series-for-a-pod

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `id` (string, required) — Deployment ID
- `pod` (string, required) — Pod name (matches the cAdvisor `pod` label)

### Query parameters

- `range` (string, optional) — Window preset: 1h, 6h, 24h, or 7d (default 1h)

## Response

### 200

OK

- `cpu` (list of MetricPoint, optional)
- `cpu_limit` (double, optional)
- `from` (datetime, optional)
- `fs_read` (list of MetricPoint, optional)
- `fs_write` (list of MetricPoint, optional)
- `memory` (list of MetricPoint, optional)
- `memory_limit` (long, optional)
- `network_rx` (list of MetricPoint, optional)
- `network_tx` (list of MetricPoint, optional)
- `ooms` (list of datetime, optional)
- `pod` (string, optional)
- `range` (string, optional)
- `restarts` (list of datetime, optional)
- `step` (string, optional)
- `storage_capacity` (list of MetricPoint, optional)
- `storage_used` (list of MetricPoint, optional)
- `to` (datetime, optional)

## Types

### MetricPoint

- `timestamp` (datetime, optional)
- `value` (double, optional)

## Examples

**Response**

```json
{
  "cpu": [
    {
      "timestamp": "2024-01-15T09:30:00Z",
      "value": 1.1
    }
  ],
  "cpu_limit": 1.1,
  "from": "2024-01-15T09:30:00Z",
  "fs_read": [
    {
      "timestamp": "2024-01-15T09:30:00Z",
      "value": 1.1
    }
  ],
  "fs_write": [
    {
      "timestamp": "2024-01-15T09:30:00Z",
      "value": 1.1
    }
  ],
  "memory": [
    {
      "timestamp": "2024-01-15T09:30:00Z",
      "value": 1.1
    }
  ],
  "memory_limit": 1,
  "network_rx": [
    {
      "timestamp": "2024-01-15T09:30:00Z",
      "value": 1.1
    }
  ],
  "network_tx": [
    {
      "timestamp": "2024-01-15T09:30:00Z",
      "value": 1.1
    }
  ],
  "ooms": [
    "2024-01-15T09:30:00Z"
  ],
  "pod": "string",
  "range": "string",
  "restarts": [
    "2024-01-15T09:30:00Z"
  ],
  "step": "string",
  "storage_capacity": [
    {
      "timestamp": "2024-01-15T09:30:00Z",
      "value": 1.1
    }
  ],
  "storage_used": [
    {
      "timestamp": "2024-01-15T09:30:00Z",
      "value": 1.1
    }
  ],
  "to": "2024-01-15T09:30:00Z"
}
```

**SDK Code**

```python
import requests

url = "https://astropods.com/api/v1/deployments/id/pods/pod/metrics"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://astropods.com/api/v1/deployments/id/pods/pod/metrics';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://astropods.com/api/v1/deployments/id/pods/pod/metrics"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://astropods.com/api/v1/deployments/id/pods/pod/metrics")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://astropods.com/api/v1/deployments/id/pods/pod/metrics")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://astropods.com/api/v1/deployments/id/pods/pod/metrics', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://astropods.com/api/v1/deployments/id/pods/pod/metrics");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://astropods.com/api/v1/deployments/id/pods/pod/metrics")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```